// pages/_app.jsx
import "@/styles/tailwind.build.css"; // dein Tailwind‑Build
import { fonts } from "@/lib/fonts";
import "../styles/local-fonts.css";

// CSS-Variablen für alle Fonts aus next/font/google
const allFontVars = Object.values(fonts)
  .filter((f) => f?.variable)
  .map((f) => f.variable)
  .join(" ");

export default function MyApp({ Component, pageProps }) {
  return (
    <main className={allFontVars}>
      <Component {...pageProps} />
    </main>
  );
}
